org.apache.tools.ant.taskdefs

## Class Parallel.TaskList

- java.lang.Object
- - org.apache.tools.ant.taskdefs.Parallel.TaskList

All Implemented Interfaces:
  TaskContainer

Enclosing class:
  Parallel

    public static class Parallel.TaskList
    extends java.lang.Object
    implements TaskContainer

Class which holds a list of tasks to execute

### Constructor Summary

Constructors
Constructor and Description
`Parallel.TaskList()`

### Method Summary

Methods
`void` `addTask(Task nestedTask)` Add a nested task to execute parallel (asynchron).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Parallel.TaskList

    public Parallel.TaskList()

### Method Detail

#### addTask

    public void addTask(Task nestedTask)

Add a nested task to execute parallel (asynchron).

Specified by:
  `addTask` in interface `TaskContainer`
Parameters:
  `nestedTask` - Nested task to be executed in parallel. must not be null.